Bug 587538 - Drop heartbeat support for haresources-based clusters
Summary: Drop heartbeat support for haresources-based clusters
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: heartbeat   
(Show other bugs)
Version: 14
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Andrew Beekhof
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-30 08:11 UTC by Andrew Beekhof
Modified: 2012-07-17 04:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-17 04:50:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andrew Beekhof 2010-04-30 08:11:47 UTC
Bug #576608 prevented heartbeat from starting up in v1 mode and yet went unnoticed in fedora and upstream for a number of months.

From this, I think its reasonable to conclude that there are very few new v1 clusters being built.

Also, talking to LINBIT, the upstream maintainers, they tell me that "the only support [for v1] you'll get is for upgrading [to heartbeat+pacemaker]".

They have also made it clear that v1 is not being developed at all (and hasn't been for the last 4 years or so).

I therefore propose we drop support for haresources-based clusters as of F-14.

Comment 1 Kevin Fenzi 2010-04-30 17:10:59 UTC
I kinda like haresources, nice and simple. ;) 

However, given that upstream does not support it anymore, I'm fine with dropping it in f14.

Comment 2 Andrew Beekhof 2010-04-30 18:57:20 UTC
No need for xml anymore, we have a nice shell tool to hide all that.

So here's a typical haresources entry:
   linuxha1 IPaddr::192.168.85.3 httpd smb

Here's the same in shell syntax:
   primitive IP ocf:heartbeat:IPaddr params ip="192.168.85.3"
   primitive http lsb:httpd
   primitive samba lsb:smb

   group v1-group IP http samba
   location prefer-ha1 v1-group 5000: linuxha1

See, not so scary anymore :-)

This might also be interesting reading:
   http://theclusterguy.clusterlabs.org/post/178680309/configuring-heartbeat-v1-was-so-simple

Comment 3 Bug Zapper 2010-07-30 11:30:59 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.